/*
 *  Copyright (C) 2006 Ludovic Jacomme (ludovic.jacomme@gmail.com)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <zlib.h>
#include "SDL.h"

#include <stdlib.h>
#include <stdio.h>

#include "config.h"
#include "psp_global.h"
#include "psp_play.h"

void
psp_play_init_sgf()
{
# if 0 //LUDO: 
  if (GCHESS.sgf_initialized) return;

  GCHESS.sgf_initialized = 1;

  sgf_write_header(GCHESS.sgftree.root, 1, get_random_seed(), komi, level, chinese_rules);
  sgfOverwritePropertyInt(GCHESS.sgftree.root, "HA", GCHESS.gameinfo.handicap);

  if (GCHESS.gameinfo.handicap > 0) {
    gnugo_recordboard(GCHESS.sgftree.root);
  }
# endif
}

void
psp_play_reset()
{
  cmd_new();
}

int
psp_play_computer_move()
{
  if ((flags & THINK) && !(flags & MANUAL) && !(flags & ENDED)) {
    //if (!(flags & XBOARD)) printf("Thinking...\n");
    Iterate ();
    CLEAR (flags, THINK);
  }
  RealGameCnt = GameCnt;
  RealSide = board.side;
# if 0 //LUDO: TO_BE_DONE !
  if ((flags & HARD) && !(flags & QUIT) ) {
    ponder();
  }
# endif
  return 1;
}

int
psp_play_player_move()
{
# if 0 //LUDO: 
  int x = GCHESS.current_x;
  int y = GCHESS.current_y;

  if (!gnugo_is_legal(x, y, GCHESS.gameinfo.to_move)) {
    return 0;
  }

  GCHESS.passes = 0;

  psp_play_init_sgf();
  gnugo_play_move(x, y, GCHESS.gameinfo.to_move);

  sgffile_add_debuginfo(GCHESS.sgftree.lastnode, 0);
  sgftreeAddPlay(&GCHESS.sgftree, GCHESS.gameinfo.to_move, x, y);
  sgffile_output(&GCHESS.sgftree);

  GCHESS.last_move_x = x;
  GCHESS.last_move_y = y;
  
  GCHESS.gameinfo.to_move = OTHER_COLOR(GCHESS.gameinfo.to_move);

# endif
  return 1;
}

int
psp_play_player_pass()
{
# if 0 //LUDO: 
  GCHESS.passes++;

  psp_play_init_sgf();
  gnugo_play_move(-1, -1, GCHESS.gameinfo.to_move);

  sgffile_add_debuginfo(GCHESS.sgftree.lastnode, 0);
  sgftreeAddPlay(&GCHESS.sgftree, GCHESS.gameinfo.to_move, -1, -1);
  sgffile_output(&GCHESS.sgftree);

  GCHESS.gameinfo.to_move = OTHER_COLOR(GCHESS.gameinfo.to_move);
# endif

  return 1;
}
